// services/manso/src/api/v1/routes/routes.js

import { Router } from 'express';

const router = Router();

// ----------------------------------------------------------
// Rutas de UI
// ----------------------------------------------------------

router.get('/', (req, res) => {
  res.locals.pageTitle = "Inicio"; // Título de pestaña
  res.locals.pageId = "home"; // Sidebar contextual
  res.render("dashboard"); // Archivo .ejs a renderizar
  // res.json({ ok: true, route: '/inicio' }); // Debug json
});

router.get('/dashboard', (req, res) => {
  res.locals.pageTitle = "Dashboard";
  res.locals.pageId = "dashboard";
  res.render("dashboard");
  // res.json({ ok: true, route: '/dashboard' });
});

router.get('/comandas', (req, res) => {
  res.locals.pageTitle = "Comandas";
  res.locals.pageId = "comandas";
  res.render("comandas");
  // res.json({ ok: true, route: '/comandas' });
});

router.get('/estadoComandas', (req, res) => {
  res.locals.pageTitle = "Estado";
  res.locals.pageId = "estadoComandas";
  res.render("estadoComandas");
  // res.json({ ok: true, route: '/estadoComandas' });
});

router.get('/productos', (req, res) => {
  res.locals.pageTitle = "Propductos";
  res.locals.pageId = "productos";
  res.render("productos");
  // res.json({ ok: true, route: '/productos' });
});

router.get('/usuarios', (req, res) => {
  res.locals.pageTitle = "Usuarios";
  res.locals.pageId = "usuarios";
  res.render("usuarios");
  // res.json({ ok: true, route: '/usuarios' });
});

router.get('/reportes', (req, res) => {
  res.locals.pageTitle = "Reportes";
  res.locals.pageId = "reportes";
  res.render("reportes");
  // res.json({ ok: true, route: '/reportes' });
});

router.get('/compras', (req, res) => {
  res.locals.pageTitle = "Compras";
  res.locals.pageId = "compras";
  res.render("compras");
  // res.json({ ok: true, route: '/compras' });
});

export default router;